Loading...
Searching...
No Matches
coap_addr_info_t Struct Reference

Resolved addresses information. More...

`#include <coap_address.h>`

Collaboration diagram for coap_addr_info_t:
[legend]

## Data Fields

struct coap_addr_info_t * | next
| Next entry in the chain.
coap_uri_scheme_t | scheme
| CoAP scheme to use.
coap_proto_t | proto
| CoAP protocol to use.
coap_address_t | addr
| The address to connect / bind to.

## Detailed Description

Resolved addresses information.

Definition at line 140 of file coap_address.h.

## Field Documentation

## addr

coap_address_t coap_addr_info_t::addr

The address to connect / bind to.

Definition at line 144 of file coap_address.h.

## next

struct coap_addr_info_t* coap_addr_info_t::next

Next entry in the chain.

Definition at line 141 of file coap_address.h.

## proto

coap_proto_t coap_addr_info_t::proto

CoAP protocol to use.

Definition at line 143 of file coap_address.h.

## scheme

coap_uri_scheme_t coap_addr_info_t::scheme

CoAP scheme to use.

Definition at line 142 of file coap_address.h.

The documentation for this struct was generated from the following file:

- coap_address.h